from django.contrib.admin.widgets import FilteredSelectMultiple
from django.forms import ModelForm

from .models import Video, Playlist


class VideoForm(ModelForm):
    class Meta:
        model = Video
        fields = '__all__'
        widgets = {
            'categories': FilteredSelectMultiple('Verbose name', False),
        }


class PlaylistForm(ModelForm):
    class Meta:
        model = Playlist
        fields = '__all__'
        widgets = {
            'videos': FilteredSelectMultiple('Verbose name', False),
        }
